import { Provider } from '@nestjs/common';
import { InitializationLogger } from './InitializationLogger';

export function createLoggedProviders(providers: Provider[], logger: InitializationLogger): Provider[] {
  logger.log(`Creating ${providers.length} providers`);
  return providers;
}